Bug 1537252 - mpfr-4.0.0
Summary: mpfr-4.0.0
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Paul Turner
QA Contact:
URL:
Whiteboard: SystemWideChange
Depends On: 1536876
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 19:05 UTC by Jan Kurik
Modified: 2019-10-17 20:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-08 17:57:26 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-22 19:05:59 UTC
This is a tracking bug for Change: mpfr-4.0.0
For more details, see: https://fedoraproject.org/wiki/Changes/mpfr-4.0.0

Update the MPFR package to version 4.0.0.

Comment 1 Jan Kurik 2018-02-20 14:09:52 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 2 Fedora End Of Life 2018-02-20 15:39:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Pavel Cahyna 2018-02-20 17:15:56 UTC
I am afraid we will have to postpone this change. The problem is that it is an API change, not only an ABI change, so the users of MPFR need to be ready for it, a rebuild is not enough. I will discuss with James Turner what to do next (I think we should release the new version under a different name which will not conflict with the old (mpfr-3.x) version.)

Comment 4 James Paul Turner 2018-02-22 20:56:53 UTC
I agree with Pavel. Unfortunately there are both API and ABI changes that break at least a few key dependants. A notable victim is the libmpc package, on which GCC depends.

https://bugzilla.redhat.com/show_bug.cgi?id=1536876

The maintainers are unresponsive.

I furthermore agree with Pavel that releasing MPFR 4.1 as a temporary separate package would alleviate this issue, and allow other packages to catch up. I will begin working on such a package if it is agreed.

Comment 5 Jan Kurik 2018-02-26 08:28:57 UTC
Deferred: https://pagure.io/fesco/issue/1846#comment-495872

Comment 6 James Paul Turner 2018-03-06 18:53:04 UTC
*** Bug 1528781 has been marked as a duplicate of this bug. ***

Comment 7 Jan Kurik 2018-08-14 10:16:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 8 Ben Cotton 2018-08-14 13:12:19 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 9 Ben Cotton 2018-08-21 15:18:31 UTC
FESCo voted to defer this to Fedora 30.

Comment 10 Ben Cotton 2019-02-19 17:08:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.

Comment 11 Ben Cotton 2019-03-05 21:49:51 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.

Comment 12 Ben Cotton 2019-03-08 17:57:26 UTC
Change Owner has withdrawn the change for the time being.

Comment 13 Ben Cotton 2019-10-04 21:16:40 UTC
Approved by FESCo as https://fedoraproject.org/wiki/Changes/mpfr-4.0.2

Comment 14 Jerry James 2019-10-17 20:04:34 UTC
The builds are done and have been tagged into Rawhide.


Note You need to log in before you can comment on or make changes to this bug.